Bug 842838 - Content Search: Compare - No way to remove packages/repos from compare, after adding them.
Content Search: Compare - No way to remove packages/repos from compare, after...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Justin Sherrill
Corey Welton
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 13:21 EDT by Corey Welton
Modified: 2014-09-18 12:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
System Engine was unable to remove any repos or packages from comparison searches. This fix corrects the formatting for the icon for removing content from searches. The icon for removing repos and packages now appears.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:48:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (26.02 KB, image/png)
2012-09-18 12:18 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2012-07-24 13:21:11 EDT
Description of problem:
In the content search UI, it is possible to add any number of repos and/or packages for comparison and submit.  However, it does not seem possible to actually remove any of these for future comparisons without actually navigating away/reloading the tab.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Sync a variety of different repos -- at least three.
2. Navigate to Content Search and select a Content type of Packages
3. 'Add' multiple repos 3+) and/or packages to your compare using the respective fields in the left-hand pane
4. Submit comparison request
5. Go back to the pane and try to find some way to remove a repo from the compare. 

Actual results:
Doesn't appear to be a way to remove a a package or repo.  Painful user experience.

Expected results:
Some quick "X" on hover, or something, that allows user to remove a package or repo from comparison consideration.

Additional info:
Comment 1 Corey Welton 2012-07-24 14:20:09 EDT
Katello Version: 0.2.49-1.git.2.b978990.el6_3
Comment 2 Mike McCune 2012-08-07 11:42:35 EDT
fixed in master
Comment 4 Corey Welton 2012-09-18 12:12:57 EDT
I'm not sure I see anything here that fixes the behavior/lack of functionality that I referenced above. I will submit a screenshot. But from within the left panel, I don't see any way to remove repos from consideration after they have been selected.
Comment 5 Corey Welton 2012-09-18 12:18:24 EDT
Created attachment 614054 [details]
screenshot

As you can see in this screenshot, there doesn't seem to be a way to remove this selected repos. No "x" or anything that allows you to deselect them.




CloudForms System Engine Version: 1.1.12-7.el6cf
Comment 6 Justin Sherrill 2012-09-19 10:07:53 EDT
This dumb icon keeps dissappearing due to css changes, will take a look.
Comment 7 Justin Sherrill 2012-09-21 10:38:03 EDT
master commit: e6f2e94d0471d50fc1dfb48da424c1ed7c09fa71
Comment 10 Corey Welton 2012-09-25 16:01:16 EDT
Excellent!

QE Verified

CloudForms System Engine Version: 1.1.12-9.el6cf
Comment 12 errata-xmlrpc 2012-12-04 14:48:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.